#include <bits/stdc++.h>

using namespace std;

int main()
{
    int x1,y1,x2,y2, n;
    cin>>x1>>y1>>x2>>y2;

    if(x1==x2 || y1==y2)
    {
        n=2;
    }
    else
    {
        int rx, ry;
        rx=abs(x1-x2);
        ry=abs(y1-y2);

        if(rx==ry)
        {
            n=1;
        }
        else
        {
            n=0;
        }
    }

    cout<<n;
}